﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.TreeView;
using System.IO;
using Telerik.Windows.Media.Imaging;
using Microsoft.Win32;
using Telerik.Windows.Documents.FormatProviders.OpenXml.Docx;
using Telerik.Windows.Documents.FormatProviders.Pdf;
using Telerik.Windows.Documents.Model;
using System.Windows.Media.Imaging;

namespace PrintTreeView
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        bool selection = false;
        private void btnChangeSource_Click(object sender, RoutedEventArgs e)
        {

            if (selection == false)
            {
                treeView.ItemsSource = new RadTreeViewSampleData().LeaguesDataSource2;
                selection = true;
            }
            else
            {
                treeView.ItemsSource = new RadTreeViewSampleData().LeaguesDataSource;
                selection = false;
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            string extension = "png";
            SaveFileDialog dialog = new SaveFileDialog()
            {
                DefaultExt = extension,
                Filter = "Png (*.png)|*.png"
            };
            var actHeight = treeView.ActualHeight;
            treeView.Height = double.NaN;

            if (dialog.ShowDialog() == true)
            {
                using (Stream stream = dialog.OpenFile())
                {
                    Telerik.Windows.Media.Imaging.ExportExtensions.ExportToImage(
                         this.treeView, stream, new PngBitmapEncoder());
                }
            }
            treeView.Height = actHeight;
        }
    }
}
